Bug 1279191 - Review Request: python-pyrfc3339 - pyRFC3339 parses and generates RFC 3339-compliant timestamps
Review Request: python-pyrfc3339 - pyRFC3339 parses and generates RFC 3339-co...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Zbigniew Jędrzejewski-Szmek
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1215478
  Show dependency treegraph
 
Reported: 2015-11-08 09:33 EST by James Hogarth
Modified: 2016-02-20 17:30 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-20 17:30:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zbyszek: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description James Hogarth 2015-11-08 09:33:09 EST
Spec URL: https://jhogarth.fedorapeople.org/python-pyrfc3339/python-pyrfc3339.spec
SRPM URL: https://jhogarth.fedorapeople.org/python-pyrfc3339/python-pyrfc3339-0.2-2.fc23.src.rpm

Description: pyRFC3339 parses and generates RFC 3339-compliant timestamps using Python datetime.datetime objects.

Note that the upstream tarball does not include a license file but the gihub repo for the project does have a permissively described license.

The PyPi tarball source, uploaded by the github owner, states it as MIT but this does not strictly appear to match the license as described in the github repo.

An issue has been opened on github to clarify this:
https://github.com/kurtraschke/pyRFC3339/issues/5


Fedora Account System Username: jhogarth
Comment 1 James Hogarth 2015-11-09 04:53:50 EST
There has been a new package uploaded to PyPi including the license file appropriately.

I'll update this review request this evening with the new tarball being used.
Comment 2 Zbigniew Jędrzejewski-Szmek 2015-11-09 13:05:49 EST
Apart from the missing LICENSE file, everything is OK, so I'll continue the review based on the current version, assuming the updated tarball.

Package Review
==============

Legend:
[x] = Pass, [-] = Not applicable, [ ] = Other

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
MIT license.

[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 14 files have unknown license. Detailed
     output of licensecheck in /var/tmp/1279191-python-
     pyrfc3339/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-pyrfc3339-0.2-2.fc24.noarch.rpm
          python3-pyrfc3339-0.2-2.fc24.noarch.rpm
          python-pyrfc3339-0.2-2.fc24.src.rpm
python2-pyrfc3339.noarch: W: spelling-error Summary(en_US) timestamps -> time stamps, time-stamps, times tamps
python2-pyrfc3339.noarch: W: spelling-error %description -l en_US timestamps -> time stamps, time-stamps, times tamps
python2-pyrfc3339.noarch: W: spelling-error %description -l en_US datetime -> date time, date-time, daytime
python3-pyrfc3339.noarch: W: spelling-error Summary(en_US) timestamps -> time stamps, time-stamps, times tamps
python3-pyrfc3339.noarch: W: spelling-error %description -l en_US timestamps -> time stamps, time-stamps, times tamps
python3-pyrfc3339.noarch: W: spelling-error %description -l en_US datetime -> date time, date-time, daytime
python-pyrfc3339.src: W: spelling-error Summary(en_US) timestamps -> time stamps, time-stamps, times tamps
python-pyrfc3339.src: W: spelling-error %description -l en_US timestamps -> time stamps, time-stamps, times tamps
python-pyrfc3339.src: W: spelling-error %description -l en_US datetime -> date time, date-time, daytime
python-pyrfc3339.src: W: strange-permission pyRFC3339-0.2.tar.gz 640
3 packages and 0 specfiles checked; 0 errors, 10 warnings.

Rpmlint (installed packages)
----------------------------
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

Requires
--------
python2-pyrfc3339 (rpmlib, GLIBC filtered):
    python(abi)

python3-pyrfc3339 (rpmlib, GLIBC filtered):
    python(abi)

Provides
--------
python2-pyrfc3339:
    python-pyrfc3339
    python-pyrfc3339(x86-64)
    python2-pyrfc3339

python3-pyrfc3339:
    python3-pyrfc3339

Notes:

- License file is missing as discussed above, but is present in the latest tarball.
- I don't think it is good to delete tests. A user might want to run the tests on the installed package.
- The dependencies on python{2,3}-setuptools are likely not necessary. At least the guidelines don't require them and things should just work without.
Comment 3 James Hogarth 2015-11-10 16:31:47 EST
Thanks for the notes and review.

New spec/srpm in place with the 1.0 version including the license properly and added back in the installed tests, along with removed the setuptools dependency

Spec URL: https://jhogarth.fedorapeople.org/python-pyrfc3339/python-pyrfc3339.spec
SRPM URL: https://jhogarth.fedorapeople.org/python-pyrfc3339/python-pyrfc3339-1.0-1.fc23.src.rpm
Comment 4 Gwyn Ciesla 2015-11-11 22:09:23 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/python-pyrfc3339
Comment 5 Zbigniew Jędrzejewski-Szmek 2015-11-21 11:45:28 EST
Ping?
Comment 6 James Hogarth 2015-11-21 22:00:15 EST
(In reply to Zbigniew Jędrzejewski-Szmek from comment #5)
> Ping?

Apologies...

I was made redundant shortly after this and other priorities got ahead of me (ie work to afford my recent arrival).

That's sorted now so can get this pushed into git and built tomorrow night.
Comment 7 Zbigniew Jędrzejewski-Szmek 2015-11-21 23:12:21 EST
(In reply to James Hogarth from comment #6)
> I was made redundant shortly after ths
Sorry to hear that.

> That's sorted now
Pfff, at least that's not bad. That's pretty quick.
Comment 8 Fedora Update System 2015-11-24 19:24:19 EST
python-pyrfc3339-1.0-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14c9c2e8a6
Comment 9 Fedora Update System 2015-11-24 19:25:26 EST
python-pyrfc3339-1.0-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-61f17ca6c0
Comment 10 Fedora Update System 2015-11-25 21:25:20 EST
python-pyrfc3339-1.0-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-pyrfc3339'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14c9c2e8a6
Comment 11 Fedora Update System 2015-11-25 21:54:17 EST
python-pyrfc3339-1.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-pyrfc3339'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-61f17ca6c0
Comment 12 Fedora Update System 2015-12-03 15:20:58 EST
python-pyrfc3339-1.0-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2015-12-03 17:48:33 EST
python-pyrfc3339-1.0-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 14 James Hogarth 2016-02-20 17:30:32 EST
Closing review bug as it's been pushed to all current Fedora releases.

Note You need to log in before you can comment on or make changes to this bug.